# SPDX-FileCopyrightText: 2024 Nextcloud GmbH and Nextcloud contributors
# SPDX-License-Identifier: AGPL-3.0-or-later
version = 1
SPDX-PackageName = "files_pdfviewer"
SPDX-PackageSupplier = "Nextcloud <info@nextcloud.com>"
SPDX-PackageDownloadLocation = "https://github.com/nextcloud/files_pdfviewer"

[[annotations]]
path = ["l10n/**.js", "l10n/**.json"]
precedence = "aggregate"
SPDX-FileCopyrightText = "2016 Nextcloud GmbH and Nextcloud contributors"
SPDX-License-Identifier = "AGPL-3.0-or-later"

[[annotations]]
path = [".tx/config", ".github/CODEOWNERS"]
precedence = "aggregate"
SPDX-FileCopyrightText = "2023 Nextcloud GmbH and Nextcloud contributors"
SPDX-License-Identifier = "AGPL-3.0-or-later"

[[annotations]]
path = ["**/composer.json", "**/composer.lock", "package-lock.json", "package.json"]
precedence = "aggregate"
SPDX-FileCopyrightText = "2020 Nextcloud GmbH and Nextcloud contributors"
SPDX-License-Identifier = "AGPL-3.0-or-later"

[[annotations]]
path = "js/files_pdfviewer-data_image_svg_xml_**.js"
precedence = "aggregate"
SPDX-FileCopyrightText = "2024 Nextcloud GmbH and Nextcloud contributors"
SPDX-License-Identifier = "AGPL-3.0-or-later"

[[annotations]]
path = ["img/app.png", "img/app.svg", "img/toolbarButton-secondaryToolbarClose.svg", "img/toolbarButton-secondaryToolbarSave.svg"]
precedence = "aggregate"
SPDX-FileCopyrightText = "2018-2024 Google LLC"
SPDX-License-Identifier = "Apache-2.0"

[[annotations]]
path = ["js/pdfjs/build/**", "js/pdfjs/web/debugger.mjs", "js/pdfjs/web/viewer.mjs", "js/pdfjs/web/viewer.mjs.map", "js/pdfjs/web/locale/**", "js/pdfjs/web/images/**", "js/pdfjs/web/debugger.css", "js/pdfjs/web/viewer.css", "js/pdfjs/web/viewer.html", "js/pdfjs/web/compressed.tracemonkey-pldi-09.pdf"]
precedence = "aggregate"
SPDX-FileCopyrightText = "2012-2024 Mozilla Foundation"
SPDX-License-Identifier = "Apache-2.0"

[[annotations]]
path = ["js/pdfjs/web/cmaps/CNS2-V.bcmap", "js/pdfjs/web/cmaps/ETenms-B5-H.bcmap", "js/pdfjs/web/cmaps/GB-H.bcmap", "js/pdfjs/web/cmaps/78-EUC-H.bcmap", "js/pdfjs/web/cmaps/78-EUC-V.bcmap", "js/pdfjs/web/cmaps/78-H.bcmap", "js/pdfjs/web/cmaps/78-RKSJ-H.bcmap", "js/pdfjs/web/cmaps/78-RKSJ-V.bcmap", "js/pdfjs/web/cmaps/78-V.bcmap", "js/pdfjs/web/cmaps/78ms-RKSJ-H.bcmap", "js/pdfjs/web/cmaps/78ms-RKSJ-V.bcmap", "js/pdfjs/web/cmaps/83pv-RKSJ-H.bcmap", "js/pdfjs/web/cmaps/90ms-RKSJ-H.bcmap", "js/pdfjs/web/cmaps/90ms-RKSJ-V.bcmap", "js/pdfjs/web/cmaps/90msp-RKSJ-H.bcmap", "js/pdfjs/web/cmaps/90msp-RKSJ-V.bcmap", "js/pdfjs/web/cmaps/90pv-RKSJ-H.bcmap", "js/pdfjs/web/cmaps/90pv-RKSJ-V.bcmap", "js/pdfjs/web/cmaps/Add-H.bcmap", "js/pdfjs/web/cmaps/Add-RKSJ-H.bcmap", "js/pdfjs/web/cmaps/Add-RKSJ-V.bcmap", "js/pdfjs/web/cmaps/Add-V.bcmap", "js/pdfjs/web/cmaps/Adobe-CNS1-0.bcmap", "js/pdfjs/web/cmaps/Adobe-CNS1-1.bcmap", "js/pdfjs/web/cmaps/Adobe-CNS1-2.bcmap", "js/pdfjs/web/cmaps/Adobe-CNS1-3.bcmap", "js/pdfjs/web/cmaps/Adobe-CNS1-4.bcmap", "js/pdfjs/web/cmaps/Adobe-CNS1-5.bcmap", "js/pdfjs/web/cmaps/Adobe-CNS1-6.bcmap", "js/pdfjs/web/cmaps/Adobe-CNS1-UCS2.bcmap", "js/pdfjs/web/cmaps/Adobe-GB1-0.bcmap", "js/pdfjs/web/cmaps/Adobe-GB1-1.bcmap", "js/pdfjs/web/cmaps/Adobe-GB1-2.bcmap", "js/pdfjs/web/cmaps/Adobe-GB1-3.bcmap", "js/pdfjs/web/cmaps/Adobe-GB1-4.bcmap", "js/pdfjs/web/cmaps/Adobe-GB1-5.bcmap", "js/pdfjs/web/cmaps/Adobe-GB1-UCS2.bcmap", "js/pdfjs/web/cmaps/Adobe-Japan1-0.bcmap", "js/pdfjs/web/cmaps/Adobe-Japan1-1.bcmap", "js/pdfjs/web/cmaps/Adobe-Japan1-2.bcmap", "js/pdfjs/web/cmaps/Adobe-Japan1-3.bcmap", "js/pdfjs/web/cmaps/Adobe-Japan1-4.bcmap", "js/pdfjs/web/cmaps/Adobe-Japan1-5.bcmap", "js/pdfjs/web/cmaps/Adobe-Japan1-6.bcmap", "js/pdfjs/web/cmaps/Adobe-Japan1-UCS2.bcmap", "js/pdfjs/web/cmaps/Adobe-Korea1-0.bcmap", "js/pdfjs/web/cmaps/Adobe-Korea1-1.bcmap", "js/pdfjs/web/cmaps/Adobe-Korea1-2.bcmap", "js/pdfjs/web/cmaps/Adobe-Korea1-UCS2.bcmap", "js/pdfjs/web/cmaps/B5-H.bcmap", "js/pdfjs/web/cmaps/B5-V.bcmap", "js/pdfjs/web/cmaps/B5pc-H.bcmap", "js/pdfjs/web/cmaps/B5pc-V.bcmap", "js/pdfjs/web/cmaps/CNS-EUC-H.bcmap", "js/pdfjs/web/cmaps/CNS-EUC-V.bcmap", "js/pdfjs/web/cmaps/CNS1-H.bcmap", "js/pdfjs/web/cmaps/CNS1-V.bcmap", "js/pdfjs/web/cmaps/CNS2-H.bcmap", "js/pdfjs/web/cmaps/ETen-B5-H.bcmap", "js/pdfjs/web/cmaps/ETen-B5-V.bcmap", "js/pdfjs/web/cmaps/ETenms-B5-V.bcmap", "js/pdfjs/web/cmaps/ETHK-B5-H.bcmap", "js/pdfjs/web/cmaps/ETHK-B5-V.bcmap", "js/pdfjs/web/cmaps/EUC-H.bcmap", "js/pdfjs/web/cmaps/EUC-V.bcmap", "js/pdfjs/web/cmaps/Ext-H.bcmap", "js/pdfjs/web/cmaps/Ext-RKSJ-H.bcmap", "js/pdfjs/web/cmaps/Ext-RKSJ-V.bcmap", "js/pdfjs/web/cmaps/Ext-V.bcmap", "js/pdfjs/web/cmaps/GB-EUC-H.bcmap", "js/pdfjs/web/cmaps/GB-EUC-V.bcmap", "js/pdfjs/web/cmaps/GB-V.bcmap", "js/pdfjs/web/cmaps/GBK-EUC-H.bcmap", "js/pdfjs/web/cmaps/GBK-EUC-V.bcmap", "js/pdfjs/web/cmaps/GBK2K-H.bcmap", "js/pdfjs/web/cmaps/GBK2K-V.bcmap", "js/pdfjs/web/cmaps/GBKp-EUC-H.bcmap", "js/pdfjs/web/cmaps/GBKp-EUC-V.bcmap", "js/pdfjs/web/cmaps/GBpc-EUC-H.bcmap", "js/pdfjs/web/cmaps/GBpc-EUC-V.bcmap", "js/pdfjs/web/cmaps/GBT-EUC-H.bcmap", "js/pdfjs/web/cmaps/GBT-EUC-V.bcmap", "js/pdfjs/web/cmaps/GBT-H.bcmap", "js/pdfjs/web/cmaps/GBT-V.bcmap", "js/pdfjs/web/cmaps/GBTpc-EUC-H.bcmap", "js/pdfjs/web/cmaps/GBTpc-EUC-V.bcmap", "js/pdfjs/web/cmaps/H.bcmap", "js/pdfjs/web/cmaps/Hankaku.bcmap", "js/pdfjs/web/cmaps/Hiragana.bcmap", "js/pdfjs/web/cmaps/HKdla-B5-H.bcmap", "js/pdfjs/web/cmaps/HKdla-B5-V.bcmap", "js/pdfjs/web/cmaps/HKdlb-B5-H.bcmap", "js/pdfjs/web/cmaps/HKdlb-B5-V.bcmap", "js/pdfjs/web/cmaps/HKgccs-B5-H.bcmap", "js/pdfjs/web/cmaps/HKgccs-B5-V.bcmap", "js/pdfjs/web/cmaps/HKm314-B5-H.bcmap", "js/pdfjs/web/cmaps/HKm314-B5-V.bcmap", "js/pdfjs/web/cmaps/HKm471-B5-H.bcmap", "js/pdfjs/web/cmaps/HKm471-B5-V.bcmap", "js/pdfjs/web/cmaps/HKscs-B5-H.bcmap", "js/pdfjs/web/cmaps/HKscs-B5-V.bcmap", "js/pdfjs/web/cmaps/Katakana.bcmap", "js/pdfjs/web/cmaps/KSC-EUC-H.bcmap", "js/pdfjs/web/cmaps/KSC-EUC-V.bcmap", "js/pdfjs/web/cmaps/KSC-H.bcmap", "js/pdfjs/web/cmaps/KSC-Johab-H.bcmap", "js/pdfjs/web/cmaps/KSC-Johab-V.bcmap", "js/pdfjs/web/cmaps/KSC-V.bcmap", "js/pdfjs/web/cmaps/KSCms-UHC-H.bcmap", "js/pdfjs/web/cmaps/KSCms-UHC-HW-H.bcmap", "js/pdfjs/web/cmaps/KSCms-UHC-HW-V.bcmap", "js/pdfjs/web/cmaps/KSCms-UHC-V.bcmap", "js/pdfjs/web/cmaps/KSCpc-EUC-H.bcmap", "js/pdfjs/web/cmaps/KSCpc-EUC-V.bcmap", "js/pdfjs/web/cmaps/NWP-H.bcmap", "js/pdfjs/web/cmaps/NWP-V.bcmap", "js/pdfjs/web/cmaps/RKSJ-H.bcmap", "js/pdfjs/web/cmaps/RKSJ-V.bcmap", "js/pdfjs/web/cmaps/Roman.bcmap", "js/pdfjs/web/cmaps/UniCNS-UCS2-H.bcmap", "js/pdfjs/web/cmaps/UniCNS-UCS2-V.bcmap", "js/pdfjs/web/cmaps/UniCNS-UTF16-H.bcmap", "js/pdfjs/web/cmaps/UniCNS-UTF16-V.bcmap", "js/pdfjs/web/cmaps/UniCNS-UTF32-H.bcmap", "js/pdfjs/web/cmaps/UniCNS-UTF32-V.bcmap", "js/pdfjs/web/cmaps/UniCNS-UTF8-H.bcmap", "js/pdfjs/web/cmaps/UniCNS-UTF8-V.bcmap", "js/pdfjs/web/cmaps/UniGB-UCS2-H.bcmap", "js/pdfjs/web/cmaps/UniGB-UCS2-V.bcmap", "js/pdfjs/web/cmaps/UniGB-UTF16-H.bcmap", "js/pdfjs/web/cmaps/UniGB-UTF16-V.bcmap", "js/pdfjs/web/cmaps/UniGB-UTF32-H.bcmap", "js/pdfjs/web/cmaps/UniGB-UTF32-V.bcmap", "js/pdfjs/web/cmaps/UniGB-UTF8-H.bcmap", "js/pdfjs/web/cmaps/UniGB-UTF8-V.bcmap", "js/pdfjs/web/cmaps/UniJIS-UCS2-H.bcmap", "js/pdfjs/web/cmaps/UniJIS-UCS2-HW-H.bcmap", "js/pdfjs/web/cmaps/UniJIS-UCS2-HW-V.bcmap", "js/pdfjs/web/cmaps/UniJIS-UCS2-V.bcmap", "js/pdfjs/web/cmaps/UniJIS-UTF16-H.bcmap", "js/pdfjs/web/cmaps/UniJIS-UTF16-V.bcmap", "js/pdfjs/web/cmaps/UniJIS-UTF32-H.bcmap", "js/pdfjs/web/cmaps/UniJIS-UTF32-V.bcmap", "js/pdfjs/web/cmaps/UniJIS-UTF8-H.bcmap", "js/pdfjs/web/cmaps/UniJIS-UTF8-V.bcmap", "js/pdfjs/web/cmaps/UniJIS2004-UTF16-H.bcmap", "js/pdfjs/web/cmaps/UniJIS2004-UTF16-V.bcmap", "js/pdfjs/web/cmaps/UniJIS2004-UTF32-H.bcmap", "js/pdfjs/web/cmaps/UniJIS2004-UTF32-V.bcmap", "js/pdfjs/web/cmaps/UniJIS2004-UTF8-H.bcmap", "js/pdfjs/web/cmaps/UniJIS2004-UTF8-V.bcmap", "js/pdfjs/web/cmaps/UniJISPro-UCS2-HW-V.bcmap", "js/pdfjs/web/cmaps/UniJISPro-UCS2-V.bcmap", "js/pdfjs/web/cmaps/UniJISPro-UTF8-V.bcmap", "js/pdfjs/web/cmaps/UniJISX0213-UTF32-H.bcmap", "js/pdfjs/web/cmaps/UniJISX0213-UTF32-V.bcmap", "js/pdfjs/web/cmaps/UniJISX02132004-UTF32-H.bcmap", "js/pdfjs/web/cmaps/UniJISX02132004-UTF32-V.bcmap", "js/pdfjs/web/cmaps/UniKS-UCS2-H.bcmap", "js/pdfjs/web/cmaps/UniKS-UCS2-V.bcmap", "js/pdfjs/web/cmaps/UniKS-UTF16-H.bcmap", "js/pdfjs/web/cmaps/UniKS-UTF16-V.bcmap", "js/pdfjs/web/cmaps/UniKS-UTF32-H.bcmap", "js/pdfjs/web/cmaps/UniKS-UTF32-V.bcmap", "js/pdfjs/web/cmaps/UniKS-UTF8-H.bcmap", "js/pdfjs/web/cmaps/UniKS-UTF8-V.bcmap", "js/pdfjs/web/cmaps/V.bcmap", "js/pdfjs/web/cmaps/WP-Symbol.bcmap"]
precedence = "aggregate"
SPDX-FileCopyrightText = "1990-2009 Adobe Systems Incorporated. (https://github.com/adobe-type-tools/cmap-resources)"
SPDX-License-Identifier = "BSD-3-Clause"

[[annotations]]
path = ["js/pdfjs/web/standard_fonts/FoxitDingbats.pfb", "js/pdfjs/web/standard_fonts/FoxitFixed.pfb", "js/pdfjs/web/standard_fonts/FoxitFixedBold.pfb", "js/pdfjs/web/standard_fonts/FoxitFixedBoldItalic.pfb", "js/pdfjs/web/standard_fonts/FoxitFixedItalic.pfb", "js/pdfjs/web/standard_fonts/FoxitSerif.pfb", "js/pdfjs/web/standard_fonts/FoxitSerifBold.pfb", "js/pdfjs/web/standard_fonts/FoxitSerifBoldItalic.pfb", "js/pdfjs/web/standard_fonts/FoxitSerifItalic.pfb", "js/pdfjs/web/standard_fonts/FoxitSymbol.pfb", "js/pdfjs/web/standard_fonts/LICENSE_FOXIT"]
precedence = "aggregate"
SPDX-FileCopyrightText = "2014 PDFium Authors. All rights reserved."
SPDX-License-Identifier = "BSD-3-Clause"

[[annotations]]
path = ["js/pdfjs/web/standard_fonts/LiberationSans-Bold.ttf", "js/pdfjs/web/standard_fonts/LiberationSans-BoldItalic.ttf", "js/pdfjs/web/standard_fonts/LiberationSans-Italic.ttf", "js/pdfjs/web/standard_fonts/LiberationSans-Regular.ttf", "js/pdfjs/web/standard_fonts/LICENSE_LIBERATION"]
precedence = "aggregate"
SPDX-FileCopyrightText = "2010 Google Corporation with Reserved Font Arimo, Tinos and Cousine, 2012 Red Hat, Inc. with Reserved Font Name Liberation."
SPDX-License-Identifier = "OFL-1.1-RFN"
